package market.Lms.Warehouse.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.HashMap;

import market.Lms.Warehouse.mapper.YdmBaseButtressconfigMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name = "YDM_BASE_BUTTRESSCONFIG", namespace = YdmBaseButtressconfigMapper.class)
public class YdmBaseButtressconfig extends BaseVO implements Serializable {
    /**
     *
     */
    private static final long serialVersionUID = 7336593634524314597L;
    @Id
    //编码
    private String buttressno;

    public String getButtressno() {
        return this.buttressno;
    }

    public void setButtressno(String buttressno) {
        this.buttressno = buttressno;
    }

    @Column
    //描述
    private String buttressname;

    public String getButtressname() {
        return this.buttressname;
    }

    public void setButtressname(String buttressname) {
        this.buttressname = buttressname;
    }

    @Column
    //父类编码
    private String sortcode;

    public String getSortcode() {
        return this.sortcode;
    }

    public void setSortcode(String sortcode) {
        this.sortcode = sortcode;
    }

    @Column
    //所属仓库编码
    private String storageattr;

    public String getStorageattr() {
        return this.storageattr;
    }

    public void setStorageattr(String storageattr) {
        this.storageattr = storageattr;
    }

    @Column
    //管理部门编码
    private String managementno;

    public String getManagementno() {
        return this.managementno;
    }

    public void setManagementno(String managementno) {
        this.managementno = managementno;
    }

    @Column
    //有效标志
    private String validflag;

    public String getValidflag() {
        return this.validflag;
    }

    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    @Column
    //层高
    private Double layer;

    public Double getLayer() {
        return this.layer;
    }

    public void setLayer(Double layer) {
        this.layer = layer;
    }

    @Column
    //列宽
    private Double colwidth;

    public Double getColwidth() {
        return this.colwidth;
    }

    public void setColwidth(Double colwidth) {
        this.colwidth = colwidth;
    }

    @Column
    //类型（仓库、区域、剁位）
    private String storagesort;

    public String getStoragesort() {
        return this.storagesort;
    }

    public void setStoragesort(String storagesort) {
        this.storagesort = storagesort;
    }

    @Column
    //区域属性（合格品、待处理等）AREAATTR
    private String areaattr;

    public String getAreaattr() {
        return this.areaattr;
    }

    public void setAreaattr(String areaattr) {
        this.areaattr = areaattr;
    }

    @Column
    //仓库类型（原料库、成品库等）STORAGETYPE
    private String storagetype;

    public String getStoragetype() {
        return this.storagetype;
    }

    public void setStoragetype(String storagetype) {
        this.storagetype = storagetype;
    }

    @Column
    //是否虚拟库
    private String isdummy;

    public String getIsdummy() {
        return this.isdummy;
    }

    public void setIsdummy(String isdummy) {
        this.isdummy = isdummy;
    }

    @Column
    //所属厂区
    private String localtype;

    public String getLocaltype() {
        return this.localtype;
    }

    public void setLocaltype(String localtype) {
        this.localtype = localtype;
    }

    @Column
    //备注
    private String memo;

    public String getMemo() {
        return this.memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    @Column
    //记录创建者
    private String creater;

    public String getCreater() {
        return this.creater;
    }

    public void setCreater(String creater) {
        this.creater = creater;
    }

    @Column
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    //记录创建时间
    private Date createdate;

    public Date getCreatedate() {
        return this.createdate;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    @Column
    //记录修改者
    private String updater;

    public String getUpdater() {
        return this.updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    @Column
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    //记录修改时间
    private Date updatedate;

    public Date getUpdatedate() {
        return this.updatedate;
    }

    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    //位置
    private String locality;

    public String getLocality() {
        return locality;
    }

    public void setLocality(String locality) {
        this.locality = locality;
    }

    private String coilnum;//卷的数量

    public String getCoilnum() {
        return coilnum;
    }

    public void setCoilnum(String coilnum) {
        this.coilnum = coilnum;
    }

    private HashMap<String, Integer> localityMap;//位置对应的卷数

    public HashMap<String, Integer> getLocalityMap() {
        return localityMap;
    }

    public void setLocalityMap(HashMap<String, Integer> localityMap) {
        this.localityMap = localityMap;
    }
}
